from swampdragon import route_handler
from swampdragon.route_handler import ModelRouter
from notes.models import Note, NoteSerializer


class NoteRouter(ModelRouter):
    route_name = 'note-list'
    serializer_class = NoteSerializer
    model = Note

    def get_object(self, **kwargs):
        return self.model.objects.get(pk=kwargs['id'])

    def get_query_set(self, **kwargs):
        return self.model.objects.all()

route_handler.register(NoteRouter)
