from django.shortcuts import render, redirect
from notes.models import *

def list_notes(request):
    return render(request, 'list_notes.html', {
        'notes':Note.objects
    })

def add_notes(request):
    if request.method == "POST":
        Note(text=request.POST['text']).save()
        return redirect('/notes/')
    else:
        return render(request, 'add_note.html')
